#*****************************************************************************
#
# DESCRIPTION : Example of using a single Makefile project
#               as an alernative to a recursive makefile project.
#
# AUTHOR :      Brendan Simon.
#
#*****************************************************************************


#--------------------------------------------------------------------------
# NOTE: There must be a way to automagically generate the module directory.
#--------------------------------------------------------------------------
srcdir := src

builddir := $(srcdir)


subdirs :=
subdirs += lib
subdirs += hello
subdirs += goodbye
subdirs += simple


#--------------------
# Include submodules.
#--------------------
submodules := $(addsuffix /module.mk,$(addprefix $(TOPDIR)/$(srcdir)/,$(subdirs)))
MODULES += $(submodules)
ifdef submodules
	include $(submodules)
endif


#*****************************************************************************
# EOF
#*****************************************************************************
